CREATE TABLE preferred_customer
(
   id NUMBER,
   discount NUMBER(2,2) DEFAULT .05,
   description VARCHAR2(78),
   CONSTRAINT pk_pref_cust PRIMARY KEY (id),
   CONSTRAINT fk_prefcust_person FOREIGN KEY (id)
     REFERENCES person,
   CONSTRAINT  ck_prefcust_discount 
     CHECK ( discount BETWEEN 0 AND .25 )
)
/
